com.sun.grid.jgdi.configuration

## Class ResourceQuotaSetImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.ResourceQuotaSetImpl

- All Implemented Interfaces:
    GEObject, ResourceQuotaSet, java.io.Serializable, java.lang.Cloneable

      public class ResourceQuotaSetImpl
      extends GEObjectImpl
      implements ResourceQuotaSet

  Java representation of the cull object RQS_Type defined in sge_all_listsL.template

  Warning: The ResourceQuotaSetImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceQuotaSetImpl()` Create a new instance of ResourceQuotaSetImpl.
    `ResourceQuotaSetImpl(boolean initWithDefaultValues)` Create a new instanceof
    `ResourceQuotaSetImpl(java.lang.String name)` Create a new instance of ResourceQuotaSetImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRule(ResourceQuotaRule arule)` Add a com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute.
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `java.lang.String` | `getDescription()` Get the value of the description attribute.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `ResourceQuotaRule` | `getRule(int index)` Get a com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute at an index.
    `int` | `getRuleCount()` Get the number of com.sun.grid.jgdi.configuration.ResourceQuotaRule attributes.
    `java.util.List<ResourceQuotaRule>` | `getRuleList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ResourceQuotaRule attributes.
    `boolean` | `isEnabled()` Get the value of the enabled attribute.
    `boolean` | `isSetDescription()` Determine if the description attribute is set
    `boolean` | `isSetEnabled()` Determine if the enabled attribute is set
    `boolean` | `isSetName()` Determine if the name attribute is set
    `boolean` | `isSetRule()` Determine if the rule attribute is set
    `void` | `removeAllRule()` Remove all com.sun.grid.jgdi.configuration.ResourceQuotaRule attributes.
    `ResourceQuotaRule` | `removeRule(int index)` Remote a com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute at an index.
    `boolean` | `removeRule(ResourceQuotaRule arule)` Remote a specific com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute.
    `void` | `setDescription(java.lang.String aDescription)` Set the description attribute.
    `void` | `setEnabled(boolean aEnabled)` Set the enabled attribute.
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `void` | `setRule(int index, ResourceQuotaRule arule)` Set a com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getParent, getPathName, getRoot, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getParent`

- - ### Constructor Detail

    - #### ResourceQuotaSetImpl

          public ResourceQuotaSetImpl()

      Create a new instance of ResourceQuotaSetImpl. The new instance will not be initialized with the default values.

    - #### ResourceQuotaSetImpl

          public ResourceQuotaSetImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

    - #### ResourceQuotaSetImpl

          public ResourceQuotaSetImpl(java.lang.String name)

      Create a new instance of ResourceQuotaSetImpl

  - ### Method Detail

    - #### isSetName

          public boolean isSetName()

      Determine if the name attribute is set
      Specified by:
        `isSetName` in interface `ResourceQuotaSet`
      Returns:
        `true` if the name attribute is set

    - #### setName

          public void setName(java.lang.String aName)

      Set the name attribute.
      Specified by:
        `setName` in interface `ResourceQuotaSet`
      Overrides:
        `setName` in class `GEObjectImpl`
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          public java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `GEObject`
      Specified by:
        `getName` in interface `ResourceQuotaSet`
      Overrides:
        `getName` in class `GEObjectImpl`
      Returns:
        the value of the name attribute

    - #### isSetDescription

          public boolean isSetDescription()

      Determine if the description attribute is set
      Specified by:
        `isSetDescription` in interface `ResourceQuotaSet`
      Returns:
        `true` if the description attribute is set

    - #### setDescription

          public void setDescription(java.lang.String aDescription)

      Set the description attribute.
      Specified by:
        `setDescription` in interface `ResourceQuotaSet`
      Parameters:
        `aDescription` - the new value for the description attribute

    - #### getDescription

          public java.lang.String getDescription()

      Get the value of the description attribute.
      Specified by:
        `getDescription` in interface `ResourceQuotaSet`
      Returns:
        the value of the description attribute

    - #### isSetEnabled

          public boolean isSetEnabled()

      Determine if the enabled attribute is set
      Specified by:
        `isSetEnabled` in interface `ResourceQuotaSet`
      Returns:
        `true` if the enabled attribute is set

    - #### setEnabled

          public void setEnabled(boolean aEnabled)

      Set the enabled attribute.
      Specified by:
        `setEnabled` in interface `ResourceQuotaSet`
      Parameters:
        `aEnabled` - the new value for the enabled attribute

    - #### isEnabled

          public boolean isEnabled()

      Get the value of the enabled attribute.
      Specified by:
        `isEnabled` in interface `ResourceQuotaSet`
      Returns:
        the value of the enabled attribute

    - #### addRule

          public void addRule(ResourceQuotaRule arule)

      Add a com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute.
      Specified by:
        `addRule` in interface `ResourceQuotaSet`
      Parameters:
        `arule` - the new com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute

    - #### setRule

          public void setRule(int index,
                              ResourceQuotaRule arule)

      Set a com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute.
      Specified by:
        `setRule` in interface `ResourceQuotaSet`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute
        `arule` - the new com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute

    - #### removeAllRule

          public void removeAllRule()

      Remove all com.sun.grid.jgdi.configuration.ResourceQuotaRule attributes.
      Specified by:
        `removeAllRule` in interface `ResourceQuotaSet`

    - #### removeRule

          public ResourceQuotaRule removeRule(int index)

      Remote a com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute at an index.
      Specified by:
        `removeRule` in interface `ResourceQuotaSet`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute or `null` if no attribute at this index is stored

    - #### removeRule

          public boolean removeRule(ResourceQuotaRule arule)

      Remote a specific com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute.
      Specified by:
        `removeRule` in interface `ResourceQuotaSet`
      Parameters:
        `arule` - the com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute has been removed

    - #### getRuleList

          public java.util.List<ResourceQuotaRule> getRuleList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ResourceQuotaRule attributes.
      Specified by:
        `getRuleList` in interface `ResourceQuotaSet`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ResourceQuotaRule attributes

    - #### getRuleCount

          public int getRuleCount()

      Get the number of com.sun.grid.jgdi.configuration.ResourceQuotaRule attributes.
      Specified by:
        `getRuleCount` in interface `ResourceQuotaSet`
      Returns:
        The number of com.sun.grid.jgdi.configuration.ResourceQuotaRule attributes.

    - #### getRule

          public ResourceQuotaRule getRule(int index)

      Get a com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute at an index.
      Specified by:
        `getRule` in interface `ResourceQuotaSet`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ResourceQuotaRule attribute

    - #### isSetRule

          public boolean isSetRule()

      Determine if the rule attribute is set
      Specified by:
        `isSetRule` in interface `ResourceQuotaSet`
      Returns:
        `true` if the rule attribute is set

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `ResourceQuotaSet`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.